commit:     772de692d8aa136720e5975d536533a604c99261
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  8 22:20:30 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Aug  8 22:20:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=772de692

app-crypt/certbot-apache: 0.37.0 bump

Package-Manager: Portage-2.3.69, Repoman-2.3.17
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 app-crypt/certbot-apache/Manifest                  |  1 +
 .../certbot-apache/certbot-apache-0.37.0.ebuild    | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/app-crypt/certbot-apache/Manifest 
b/app-crypt/certbot-apache/Manifest
index 82a02c2e556..b51d0034038 100644
--- a/app-crypt/certbot-apache/Manifest
+++ b/app-crypt/certbot-apache/Manifest
@@ -1,2 +1,3 @@
 DIST certbot-0.35.0.tar.gz 1333065 BLAKE2B 
8bd4fd735e68f24ee7c0533b18b63e2924eab9dcef78250f5d7094fbb04f78acca1c11cefae48e25da637a01a7dcd004f22926923b63a39206b63133193793a1
 SHA512 
ca94858aca5c6849dd6667d1e96389d80a7882de9a4deeda28d244ac105c1524dddb100dc899e4fabdef908607956617e26640b8e573b04a0625e19413c23bee
 DIST certbot-0.36.0.tar.gz 1322339 BLAKE2B 
69fbf68b5dd95d6d3ac6c868d583da8c66dfcd01e3471c511d0d9d95de08ac096479733e9fca12ca99abf43484835fa7184dcccb1c11a41ee7948174364f2894
 SHA512 
f7fa8c6200a76b4fc4830865bf11fbba8bd73ea55e1236680181073952505c83b4650b43ccfc8e9b96caf47b85c43e47acf8db6d92134f7c279ebd954ab0ac92
+DIST certbot-0.37.0.tar.gz 1327246 BLAKE2B 
917360ab6d9dedd6e5ea2c558822c228ff34617f97341b7d176e69f7589a3aa3012f1d9abdb33b72960c68a80b29987d1a7b1121eadd7d93adec5829b316f326
 SHA512 
3f2df5f591ba241719fe2e5e90c2b87e2d932d991d943eefbe00b9d76f7fb056d3b6026879511f591473c698b798e78645879f018a78e503b8a06280b036cb35

diff --git a/app-crypt/certbot-apache/certbot-apache-0.37.0.ebuild 
b/app-crypt/certbot-apache/certbot-apache-0.37.0.ebuild
new file mode 100644
index 00000000000..5ac928afccf
--- /dev/null
+++ b/app-crypt/certbot-apache/certbot-apache-0.37.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=(python{2_7,3_5,3_6,3_7})
+
+if [[ ${PV} == 9999* ]]; then
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       inherit git-r3
+       S=${WORKDIR}/${P}/${PN}
+else
+       
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz 
-> ${PN%-apache}-${PV}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~x86"
+       S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Apache plugin for certbot (Let's Encrypt Client)"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+RDEPEND=">=app-crypt/acme-0.29.0[${PYTHON_USEDEP}]
+       >=app-crypt/certbot-0.36.0[${PYTHON_USEDEP}]
+       dev-python/mock[${PYTHON_USEDEP}]
+       dev-python/python-augeas[${PYTHON_USEDEP}]
+       dev-python/zope-component[${PYTHON_USEDEP}]
+       dev-python/zope-interface[${PYTHON_USEDEP}]"
+DEPEND="test? ( ${RDEPEND}
+       dev-python/nose[${PYTHON_USEDEP}] )
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+       nosetests || die
+}

Reply via email to